Commit d3e1ab6f authored by Pietro Abate's avatar Pietro Abate
Browse files

[r2003-10-08 09:14:24 by cvscast] Empty log message

Original author: cvscast
Date: 2003-10-08 09:14:24+00:00
parent 932ba977
......@@ -37,7 +37,7 @@ Important notes:
or (better) install OCaml cvs version
cvs -d":pserver:anoncvs@camlcvs.inria.fr:/caml" login
hit enter key when asked for password
<hit enter key when asked for password>
cvs -z3 -d":pserver:anoncvs@camlcvs.inria.fr:/caml" co ocaml
- pcre-ocaml: you may also need to install the PCRE library
......@@ -47,10 +47,14 @@ Important notes:
- PXP:
CDuce requires a development version >= 1.1.93.
Note:
It is enough to build support UTF8 and ISO-8859-1 ocamllex-lexers:
Notes: It is enough to build support UTF8 and ISO-8859-1 ocamllex-lexers:
./configure -without-wlex -without-wlex-compat -lexlist utf8,iso88591
You can also build pxp with wlex support (more compact code). This
can be done by installing wlex runtime support library *before* pxp
http://www.eleves.ens.fr/home/frisch/soft.html#wlex
and build pxp -with-wlex*. When building CDuce you still have the
choice whether to use wlex or camllex (see PXP_WLEX option below)
Efficiency issues:
......@@ -109,6 +113,7 @@ NATIVE=false : use the OCaml bytecode compiler (ocamlc)
default: true (the native code version is much faster)
PXP_WLEX=true : use wlex for parsing UTF-8 XML files
need pxp built with wlex support
PXP_WLEX=false: use ocamllex for parsing UTF-8 XML files
default: false (ocamllex is faster; wlex is more compact)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment